Modify

Opened 4 months ago

Closed 4 months ago

#14641 closed defect (othersoftware)

JOSM can't communication OSM Server an upload all change

Reported by: martinmbaihaqi Owned by: martinmbaihaqi
Priority: critical Milestone:
Component: Core Version: latest
Keywords: communication_report Cc:

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-02-02 01:22:52 +0100 (Thu, 02 Feb 2017)
Build-Date:2017-02-02 02:33:28
Revision:11526
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11526 en) Windows 7 32-Bit
Memory Usage: 189 MB / 989 MB (54 MB allocated, but free)
Java version: 1.8.0_121-b13, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1366x768
Maximum Screen Size: 1366x768
Dataset consistency test: No problems found

Plugins:
+ apache-commons (32994)
+ buildings_tools (33004)
+ ejml (32680)
+ geotools (33042)
+ jts (32699)
+ opendata (33088)
+ todo (30000)
+ turnrestrictions (33088)
+ utilsplugin2 (33182)

Tagging presets:
+ D:\Martin\JSDE\Indonesia Preset_PDC_v.2.4.1 - Jakarta.xml

Last errors/warnings:
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
- E: Communication with OSM server failed - <html>Communication with the OSM server 'https://api.openstreetmap.org/api/0.6/' timed out. Please retry later.</html>
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
- E: Communication with OSM server failed - <html>Communication with the OSM server 'https://api.openstreetmap.org/api/0.6/' timed out. Please retry later.</html>
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
- E: Communication with OSM server failed - <html>Communication with the OSM server 'https://api.openstreetmap.org/api/0.6/' timed out. Please retry later.</html>
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
- E: Communication with OSM server failed - <html>Communication with the OSM server 'https://api.openstreetmap.org/api/0.6/' timed out. Please retry later.</html>
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
- E: Communication with OSM server failed - <html>Communication with the OSM server 'https://api.openstreetmap.org/api/0.6/' timed out. Please retry later.</html>

Attachments (2)

UntitledOSM.jpg (299.2 KB) - added by martin29381@… 4 months ago.
Can't communication to OSM Server
josm_error_screenshot.PNG (60.8 KB) - added by ceyockey@… 4 months ago.
screenshot

Download all attachments as: .zip

Change History (8)

Changed 4 months ago by martin29381@…

Attachment: UntitledOSM.jpg added

Can't communication to OSM Server

Changed 4 months ago by ceyockey@…

Attachment: josm_error_screenshot.PNG added

screenshot

comment:1 Changed 4 months ago by anonymous

I've also experienced this ... I've attached a screenshot. This happens whether using the downloaded JAR or the .jnlp link. --Courtland

comment:2 Changed 4 months ago by bastiK

Does it happen always or at certain times/days? When JOSM shows the error, please open https://api.openstreetmap.org/api/0.6/capabilities in a browser and check if it loads.

comment:3 Changed 4 months ago by ceyockey@…

happens all the time now ... though I try editing during 10PM to 1AM Eastern Standard Time (US). If you think it would be useful, I could try during other periods.

comment:4 Changed 4 months ago by ToeBee

This happens reliably when uploading to a previously opened changeset. Here is a more detailed stack trace:

2017-04-14 01:18:50.966 INFO: PUT https://api.openstreetmap.org/api/0.6/changeset/47766358 (507 B) ...
2017-04-14 01:18:51.474 INFO: PUT https://api.openstreetmap.org/api/0.6/changeset/47766358 -> 405
2017-04-14 01:18:51.475 INFO: Method Not Allowed
2017-04-14 01:18:51.576 INFO: Message notifier active (checks every 5 minutes)
2017-04-14 01:18:51.585 SEVERE: org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
org.openstreetmap.josm.io.OsmApiException: ResponseCode=405
        at org.openstreetmap.josm.io.OsmApi.sendRequest(OsmApi.java:692)
        at org.openstreetmap.josm.io.OsmApi.sendRequest(OsmApi.java:600)
        at org.openstreetmap.josm.io.OsmApi.updateChangeset(OsmApi.java:456)
        at org.openstreetmap.josm.io.OsmServerWriter.uploadOsm(OsmServerWriter.java:207)
        at org.openstreetmap.josm.gui.io.UploadPrimitivesTask.realRun(UploadPrimitivesTask.java:246)
        at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:95)
        at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:143)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)

2017-04-14 01:18:51.597 SEVERE: Communication with OSM server failed - <html>Communication with the OSM server 'https://api.openstreetmap.org/api/0.6/' timed out. Please retry later.</html>

comment:5 Changed 4 months ago by ToeBee

It was a server side error. It was just being discussed on IRC. Tom saw it and fixed it.

It affected the PUT request to update the changeset, not the diff upload. However I would say there is still kind of a problem in JOSM: it shouldn't say the request timed out if it actually got a response back from the server.

Last edited 4 months ago by ToeBee (previous) (diff)

comment:6 in reply to:  5 Changed 4 months ago by bastiK

Resolution: othersoftware
Status: assignedclosed

Replying to ToeBee:

It was a server side error. It was just being discussed on IRC. Tom saw it and fixed it.

Thanks for the info!

It affected the PUT request to update the changeset, not the diff upload. However I would say there is still kind of a problem in JOSM: it shouldn't say the request timed out if it actually got a response back from the server.

This would be easier to implement while the problem can still be reproduced. Closing for now.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain martinmbaihaqi.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.